%global         momorel 2

Name:           perl-Data-Section
Version:        0.200006
Release:        %{momorel}m%{?dist}
Summary:        Read multiple hunks of data out of your DATA section
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Data-Section/
Source0:        http://www.cpan.org/authors/id/R/RJ/RJBS/Data-Section-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-MRO-Compat >= 0.09
BuildRequires:  perl-Sub-Exporter >= 0.979
BuildRequires:  perl-Test-Simple >= 0.96
Requires:       perl-MRO-Compat >= 0.09
Requires:       perl-Sub-Exporter >= 0.979
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
Data::Section provides an easy way to access multiple named chunks of line-
oriented data in your module's DATA section. It was written to allow
modules to store their own templates, but probably has other uses.

%prep
%setup -q -n Data-Section-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes dist.ini LICENSE META.json README
%{perl_vendorlib}/Data/*
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.200006-2m)
- rebuild against perl-5.20.0

* Fri Mar 21 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.200006-1m)
- update to 0.200006

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.200005-2m)
- rebuild against perl-5.18.2

* Thu Jan  2 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.200005-1m)
- update to 0.200005

* Mon Dec 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.200004-1m)
- update to 0.200004

* Sat Nov  2 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.200003-1m)
- update to 0.200003

* Sat Sep 28 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.101622-1m)
- update to 0.101622

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.101621-10m)
- rebuild against perl-5.18.1

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.101621-9m)
- rebuild against perl-5.18.0

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.101621-8m)
- rebuild against perl-5.16.3

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.101621-7m)
- rebuild against perl-5.16.2

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.101621-6m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.101621-5m)
- rebuild against perl-5.16.0

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.101621-4m)
- rebuild against perl-5.14.2

* Thu Jun 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.101621-3m)
- rebuild against perl-5.14.1

* Thu May 05 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.101621-2m)
- rebuild against perl-5.14.0-0.2.1m

* Sun May  1 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.101621-1m)
- update to 0.101621

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.101620-4m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.101620-3m)
- rebuild for new GCC 4.5

* Sun Sep 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.101620-2m)
- rebuild against perl-5.12.2

* Tue Sep 21 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.101620-1m)
- update to 0.101620

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.100770-2m)
- full rebuild for mo7 release

* Thu Jun 10 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.100770-1m)
- update to 0.100770

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.100270-3m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.100270-2m)
- rebuild against perl-5.12.0

* Sun Jan 31 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.100270-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
